Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
credentials
Perform actions on Agent Credentials
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "SECRET_REFRESH"
}
'
{
  "clientId": "<string>",
  "clientSecret": "<string>"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

The ID of the agent

Body

application/json
action
enum<string>
required

The action to perform for agent credentials.

Available actions are:

  • SECRET_REFRESH - Refresh the client secret of the Agent
Available options:
SECRET_REFRESH
Example:

"SECRET_REFRESH"

Response

Success

clientId
string
clientSecret
string